{
    attributes = (
        {
            columnName = FANN_KEY; 
            externalType = NUMBER; 
            name = fannKey; 
            precision = 4; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = FHAB_KEY; 
            externalType = NUMBER; 
            name = fhabKey; 
            precision = 6; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = FHAB_NIVEAU; 
            externalType = NUMBER; 
            name = fhabNiveau; 
            precision = 2; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = FHAB_OUVERT; 
            externalType = VARCHAR2; 
            name = fhabOuvert; 
            valueClassName = NSString; 
            width = 1; 
        }, 
        {
            columnName = FSPN_KEY; 
            externalType = NUMBER; 
            name = fspnKey; 
            precision = 6; 
            valueClassName = NSNumber; 
            valueType = i; 
        }
    ); 
    attributesUsedForLocking = (fhabKey); 
    className = EOGenericRecord; 
    classProperties = (
        fhabKey, 
        fspnKey, 
        fhabNiveau, 
        fhabOuvert, 
        fannKey, 
        toScolFormationSpecialisation, 
        toScolFormationAnnee
    ); 
    externalName = SCOL_FORMATION_HABILITATION; 
    fetchSpecificationDictionary = {}; 
    name = ScolFormationHabilitation; 
    primaryKeyAttributes = (fhabKey); 
    relationships = (
        {
            destination = ScolFormationAnnee; 
            internalInfo = {_nameInObjectStore = scolFormationAnnee; }; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = fannKey; sourceAttribute = fannKey; }); 
            name = toScolFormationAnnee; 
        }, 
        {
            destination = ScolFormationSpecialisation; 
            internalInfo = {_nameInObjectStore = scolFormationSpecialisation; }; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = fspnKey; sourceAttribute = fspnKey; }); 
            name = toScolFormationSpecialisation; 
        }
    ); 
}
